Bug 1606895 - ncbi-blast+: FTBFS in Fedora 29: c++/src/corelib/test_boost.cpp:73:10: fatal error: boost/test/test_observer.hpp: No such file or directory [NEEDINFO]
Summary: ncbi-blast+: FTBFS in Fedora 29: c++/src/corelib/test_boost.cpp:73:10: fatal ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ncbi-blast+
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1675442 (view as bug list)
Depends On:
Blocks: F30FTBFS F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 22:09 UTC by Mohan Boddu
Modified: 2019-08-08 13:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:21:55 UTC
releng: needinfo? (jkaluza)


Attachments (Terms of Use)
build.log (10.89 KB, text/plain)
2018-07-20 22:09 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 22:09 UTC, Mohan Boddu
no flags Details
state.log (643 bytes, text/plain)
2018-07-20 22:09 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 22:09:32 UTC
ncbi-blast+ failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28449766


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix ncbi-blast+ at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ncbi-blast+ will be orphaned. Before branching of Fedora 30,
ncbi-blast+ will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 22:09:37 UTC
Created attachment 1469549 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 22:09:40 UTC
Created attachment 1469550 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 22:09:46 UTC
Created attachment 1469551 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:43:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Petr Pisar 2019-07-12 12:19:23 UTC
+ ./configure --build=ppc64-redhat-linux-gnu --host=ppc64-redhat-linux-gnu --program-prefi
x= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbin
dir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/u
sr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir
=/usr/share/man --infodir=/usr/share/info --with-dll --with-mt --without-autodep --without
-makefile-auto-update --with-flat-makefile --without-caution --without-dbapi --without-lzo
 --with-runpath=/usr/lib64/ncbi-blast+ --with-build-root=BUILD --without-strip --with-symb
ols
configure: error: --program-prefix=:  unknown option;  use --help to show usage
configure: error: --disable-dependency-tracking:  unknown option;  use --help to show usage
configure: error: --sbindir=/usr/sbin:  unknown option;  use --help to show usage
configure: error: --sysconfdir=/etc:  unknown option;  use --help to show usage
configure: error: --datadir=/usr/share:  unknown option;  use --help to show usage
configure: error: --libexecdir=/usr/libexec:  unknown option;  use --help to show usage
configure: error: --localstatedir=/var:  unknown option;  use --help to show usage
configure: error: --sharedstatedir=/var/lib:  unknown option;  use --help to show usage
configure: error: --mandir=/usr/share/man:  unknown option;  use --help to show usage
configure: error: --infodir=/usr/share/info:  unknown option;  use --help to show usage
configure: creating cache config.cache
[...]
configure: error: Do not know how to build MT-safe with compiler /usr/bin/g++  8
error: Bad exit status from /var/tmp/rpm-tmp.16zHQU (%build)

Comment 6 Petr Pisar 2019-07-12 12:21:47 UTC
*** Bug 1675442 has been marked as a duplicate of this bug. ***

Comment 7 Petr Pisar 2019-07-12 13:29:39 UTC
> configure: error: Do not know how to build MT-safe with compiler /usr/bin/g++  8

I fixed this error by porting an upstream fix for checking GCC version. I pushed to fix into master branch as 6b39dc33867a0e81cea50bed29f80c02c1c12bad commit.

But there is another error: There seems to be change between Boost 1.58 and 1.59 causing failure of building the tests:

make[1]: Entering directory '/home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/BUILD/build/corelib'
/usr/bin/g++  -std=gnu++11 -c -Wall -Wno-format-y2k  -pthread -fopenmp -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fPIC   -DNDEBUG -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wno-narrowing -D_MT -D_REENTRANT -D_THREAD_SAFE -I/home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/BUILD/inc -I/home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/include   /home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/src/corelib/test_boost.cpp -o test_boost.o
/home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/src/corelib/test_boost.cpp:73:10: fatal error: boost/test/test_observer.hpp: No such file or directory
   73 | #include <boost/test/test_observer.hpp>
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Comment 8 Petr Pisar 2019-07-15 12:47:15 UTC
I tried to port the code from 2.9.0, but I ended up with:

In file included from /home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/src/corelib
/test_boost.cpp:50:
/home/test/fedora/ncbi-blast+/ncbi-blast-2.2.31+-src/c++/include/corelib/test_boost.hpp:78
8:53: error: 'boost::unit_test::decorator::collector' has not been declared
  788 |                        boost::unit_test::decorator::collector& decorator)
      |                                                     ^~~~~~~~~

I really recommend rebasing to 2.9.0 (if it helps). I will left it to the maintainer as I'm not going to spent my time with reviewing 286 MB of source code.

Comment 9 Fedora Release Engineering 2019-07-24 12:25:53 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 10 Fedora Release Engineering 2019-07-24 13:23:51 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 11 Fedora Release Engineering 2019-07-28 04:22:40 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 12 Fedora Release Engineering 2019-08-04 04:22:41 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 13 Mohan Boddu 2019-08-08 13:21:55 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.